Skoči na vsebino

Contact bookings

Link between contacts and bookings

The contact booking object

Attributes

iduuid

Unique identifier

booking_iduuid
bookings.id

Identifier of the related booking

contact_iduuid
contacts.id

Identifier of the related contact

created_atread-onlytimestamp with time zone

Creation timestamp

Related resources

Embed related resources in the response with the select parameter, for example select=*,bookings(*). Resources related through more than one column need the column as a hint, like table!column(*).

bookings(*)object | null
bookings

The booking referenced by booking_id.

contacts(*)object | null
contacts

The contact referenced by contact_id.

The contact booking object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "contact_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:21:07.688Z"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/contact_bookings?limit=10&select=*,bookings(*),contacts(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List contact bookings

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

contact_idFilter<uuid>
contacts.id

Identifier of the related contact

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of contact bookings with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /contact_bookings
curl -X GET "https://api.bookingmood.com/v1/contact_bookings?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "contact_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Create contact bookings

Body

Partial<ContactBooking> | Array<Partial<ContactBooking>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created contact bookings with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /contact_bookings
curl -X POST "https://api.bookingmood.com/v1/contact_bookings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "contact_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "contact_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Delete contact bookings

Filters

Without filters, this request deletes all contact bookings you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

contact_idFilter<uuid>
contacts.id

Identifier of the related contact

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

The deleted contact bookings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /contact_bookings
curl -X DELETE "https://api.bookingmood.com/v1/contact_bookings?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "contact_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Update contact bookings

Filters

Without filters, this request updates all contact bookings you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

contact_idFilter<uuid>
contacts.id

Identifier of the related contact

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<ContactBooking>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated contact bookings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /contact_bookings
curl -X PATCH "https://api.bookingmood.com/v1/contact_bookings?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "booking_id": "00000000-0000-0000-0000-000000000000",
    "contact_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z"
  }
]

Prevzemite nadzor nad svojimi rezervacijami. Zgradite svoje podjetje.

Pridružite se več kot 1200 neodvisnim ponudnikom počitniških najemov, ki uporabljajo Bookingmood za povečanje števila neposrednih rezervacij in vzpostavitev trdnejših odnosov z gosti.

Začetek brezplačnega 14-dnevnega preizkusa